## fdclone 2.00a

=== Makefile ===
#
#	Makefile for fd
#

VERSION	= 2
SHELL	= /bin/sh
MAKE	= make
CC	= cc
SED	= sed

all: Makefile.tmp
	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp

debug: Makefile.tmp
	$(MAKE) SHELL=$(SHELL) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' \
	-f Makefile.tmp

shdebug: Makefile.tmp
	$(MAKE) SHELL=$(SHELL) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' \
	-f Makefile.tmp sh

Makefile.tmp: Makefile.in mkmf.sed
	$(SED) -f mkmf.sed Makefile.in > $@ ||\
	(rm -f $@; exit 1)

makefile.gpc: Makefile.in mkmfdosg.sed
	$(SED) -f mkmfdosg.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/DOSV/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.g98: Makefile.in mkmfdosg.sed
	$(SED) -f mkmfdosg.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/PC98/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.dpc: Makefile.in mkmfdosd.sed
	$(SED) -f mkmfdosd.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/DOSV/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.d98: Makefile.in mkmfdosd.sed
	$(SED) -f mkmfdosd.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/PC98/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.lpc: Makefile.in mkmfdosl.sed
	$(SED) -f mkmfdosl.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/DOSV/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.l98: Makefile.in mkmfdosl.sed
	$(SED) -f mkmfdosl.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/PC98/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.bpc: Makefile.in mkmfdosb.sed
	$(SED) -f mkmfdosb.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/DOSV/g' > $@ ||\
	(rm -f $@; exit 1)

makefile.b98: Makefile.in mkmfdosb.sed
	$(SED) -f mkmfdosb.sed Makefile.in |\
	$(SED) 's/__OSTYPE__/PC98/g' > $@ ||\
	(rm -f $@; exit 1)

mkmf.sed: mkmfsed
	./mkmfsed > mkmf.sed

mkmfsed: mkmfsed.c fd.h machine.h config.h
	$(CC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"$(CC)"' -o $@ mkmfsed.c

config.h: config.hin
	cp config.hin config.h

install catman catman-b compman compman-b \
ecatman ecatman-b ecompman ecompman-b \
fd.doc README.doc HISTORY.doc FAQ.doc LICENSES.doc \
depend config sh clean: Makefile.tmp
	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@

tar shtar lzh shar: Makefile.tmp makefile.gpc makefile.g98 \
makefile.dpc makefile.d98 \
makefile.lpc makefile.l98 \
makefile.bpc makefile.b98
	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@

realclean: Makefile.tmp
	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp clean
	-rm -f Makefile.tmp mkmf.sed config.h
	-rm -f makefile.gpc makefile.g98
	-rm -f makefile.dpc makefile.d98
	-rm -f makefile.lpc makefile.l98
	-rm -f mkmfsed

## fdclone 2.04a

=== Makefile ===
--- 
+++ 
@@ -3,21 +3,22 @@
 #
 
 VERSION	= 2
+PREFIX	= /usr/local
+BUILD	=
 SHELL	= /bin/sh
 MAKE	= make
 CC	= cc
+HOSTCC	= $(CC)
 SED	= sed
 
 all: Makefile.tmp
-	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp
+	$(MAKE) -f Makefile.tmp
 
 debug: Makefile.tmp
-	$(MAKE) SHELL=$(SHELL) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' \
-	-f Makefile.tmp
+	$(MAKE) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' -f Makefile.tmp
 
 shdebug: Makefile.tmp
-	$(MAKE) SHELL=$(SHELL) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' \
-	-f Makefile.tmp sh
+	$(MAKE) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' -f Makefile.tmp sh
 
 Makefile.tmp: Makefile.in mkmf.sed
 	$(SED) -f mkmf.sed Makefile.in > $@ ||\
@@ -67,25 +68,36 @@
 	./mkmfsed > mkmf.sed
 
 mkmfsed: mkmfsed.c fd.h machine.h config.h
-	$(CC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"$(CC)"' -o $@ mkmfsed.c
+	$(HOSTCC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"'$(CC)'"' -DHOSTCCCOMMAND='"'$(HOSTCC)'"' -DPREFIX='"'$(PREFIX)'"' -o $@ mkmfsed.c
 
 config.h: config.hin
 	cp config.hin config.h
 
 install catman catman-b compman compman-b \
-ecatman ecatman-b ecompman ecompman-b \
+ecatman ecatman-b ecompman ecompman-b: Makefile.tmp
+	$(MAKE) BUILD=$(BUILD) -f Makefile.tmp $@
+
 fd.doc README.doc HISTORY.doc FAQ.doc LICENSES.doc \
-depend config sh clean: Makefile.tmp
+depend sh bsh clean: Makefile.tmp
+	$(MAKE) -f Makefile.tmp $@
+
+config: Makefile.tmp
 	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@
+
+ipk: Makefile.tmp
+	$(MAKE) STRIP=$(STRIP) -f Makefile.tmp $@
+
+everything: Makefile.tmp
+	$(MAKE) -f Makefile.tmp sh bsh all
 
 tar shtar lzh shar: Makefile.tmp makefile.gpc makefile.g98 \
 makefile.dpc makefile.d98 \
 makefile.lpc makefile.l98 \
 makefile.bpc makefile.b98
-	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@
+	$(MAKE) -f Makefile.tmp $@
 
 realclean: Makefile.tmp
-	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp clean
+	$(MAKE) -f Makefile.tmp clean
 	-rm -f Makefile.tmp mkmf.sed config.h
 	-rm -f makefile.gpc makefile.g98
 	-rm -f makefile.dpc makefile.d98

## fdclone 2.06c

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	./mkmfsed > mkmf.sed
 
 mkmfsed: mkmfsed.c fd.h machine.h config.h
-	$(HOSTCC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"'$(CC)'"' -DHOSTCCCOMMAND='"'$(HOSTCC)'"' -DPREFIX='"'$(PREFIX)'"' -o $@ mkmfsed.c
+	$(HOSTCC) -DFD=$(VERSION) $(CFLAGS) -DCCCOMMAND='"$(CC)"' -DHOSTCCCOMMAND='"$(HOSTCC)"' -DPREFIX='"'$(PREFIX)'"' -o $@ mkmfsed.c
 
 config.h: config.hin
 	cp config.hin config.h
@@ -81,8 +81,11 @@
 depend sh bsh clean: Makefile.tmp
 	$(MAKE) -f Makefile.tmp $@
 
-config: Makefile.tmp
+config: rmconfig Makefile.tmp
 	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@
+
+rmconfig:
+	cp config.hin config.h
 
 ipk: Makefile.tmp
 	$(MAKE) STRIP=$(STRIP) -f Makefile.tmp $@
@@ -90,7 +93,7 @@
 everything: Makefile.tmp
 	$(MAKE) -f Makefile.tmp sh bsh all
 
-tar shtar lzh shar: Makefile.tmp makefile.gpc makefile.g98 \
+tar gtar shtar lzh shar: Makefile.tmp makefile.gpc makefile.g98 \
 makefile.dpc makefile.d98 \
 makefile.lpc makefile.l98 \
 makefile.bpc makefile.b98

## fdclone 3.00j

=== debian/changelog ===
fdclone (3.00j-2) unstable; urgency=low

  * Fixed some troubles with translation table.
  * Fixed purging package, properly remove the configuration file.
  * Fixed some spelling errors in the manual page.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 27 Nov 2010 20:59:31 -0500

fdclone (3.00j-1) unstable; urgency=low

  * New maintainer. (Closes: #494602)
  * Updated Standards-Version to 3.9.1
  * Rewrote Debian build system with debhelper and quilt.
  * debian/patches/20_lintian_manpage_warning.patch: Added.
  * debian/patches/30_makefilein_setting.patch: Added.
  * Fixed debian/watch error.
  * Corrected some lintian warnings:
    +Fixed issues with manpage.
    +Updated compat version.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 16 Oct 2010 09:50:01 -0500

fdclone (3.00c-1) unstable; urgency=low

  * QA upload.
  * Acknowledge NMU: thanks to Luk
  * New upstream release; Closes: #475345
  * debian/control
    - added dpatch build-dep
    - added Homepage field
    - set maintainer to QA Group
    - bump Standars-Version to 3.8.0
    - removed article from short description
  * debian/rules
    - added dpatch stuff
    - removed comment header
    - removed explicit gzip of examples, dh_compress will take care of that
    - removed commented dh_* calls
    - added variables to make install for manpage
    - don't ignore clean error
    - removed custom doc-base file installation, dh_installdocs will take care
    - fixed MANDIR location
    - removed custom fdsh.1 installation, dh_installmans will take care
    - added mkmf.sed removal to clean target
    - removed custom installation of example, dh_installexamples will take care
    - added removal of install-stamp file
  * debian/patches/01_previous_changes.dpatch
    - created to avoid direct upstream code changes
    - updated to new upstream code
  * debian/menu
    - updated section to Applications/File Management
  * debian/copyright
    - converted to UTF-8
  * debian/{fdclone-faq,fdclone-readme}
    - updated section to File Management
    - removed bottom empty line
    - renamed to fdclone.doc-base.<ext> to let dh_installdocs do its job
  * debian/postinst
    - removed custom doc-base installation, left only touching of conf file
  * debian/prerm
    - removed since contained only doc-base removal, handle by dh_installdeb
  * debian/README.source
    - added due to Policy 3.8.0
  * debian/copyright
    - indented upstream author with 4 spaces
    - added copyright section
    - clearly identified license section
    - added the new verbatim licences (English and Japanese)
  * debian/addition/fdsh.1
    - fixed hyphen-used-as-minus-sign
  * debian/patches/10_bts436823_remove_strip_makefile.dpatch
    - added to remove unconditional binary stripping; thanks to Julien Danjou
      for the report; Closes: #436823

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 27 Aug 2008 23:08:14 +0200

fdclone (2.06c-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to kernel syscall macros (Closes: #393027).
  * Add $(MAKE) config to debian/rules (Closes: #394091).

 -- Luk Claes <luk@debian.org>  Mon, 23 Oct 2006 21:00:28 +0200

fdclone (2.06c-1) unstable; urgency=low

  * New upstream release

 -- Taketoshi Sano <sano@debian.org>  Sat, 19 Mar 2005 20:48:35 +0900

fdclone (2.04a-1) unstable; urgency=low

  * New upstream release
  * update debian/watch. now I can use "uscan" command. :)

 -- Taketoshi Sano <sano@debian.org>  Sat,  9 Aug 2003 09:58:31 +0900

fdclone (2.04-1) unstable; urgency=low

  * New upstream release

 -- Taketoshi Sano <sano@debian.org>  Thu, 26 Jun 2003 23:04:42 +0900

fdclone (2.02a-1) unstable; urgency=low

  * New upstream release (Closes: #174592)

 -- Taketoshi Sano <sano@debian.org>  Tue, 31 Dec 2002 19:56:36 +0900

fdclone (2.01-2) unstable; urgency=low

  * Apply patch from the upstream author to fix a buffer under flow
    bug which causes freeze at incorrect shell script.
  * fix Debian specific bug which causes trouble in Japanese filename
    handling on MS-DOS drive.

 -- Taketoshi Sano <sano@debian.org>  Tue, 21 May 2002 01:51:58 +0900

fdclone (2.01-1) unstable; urgency=low

  * New upstream release (Closes: #146446)
  * Update system default configuration file /etc/fdclone/fd2rc
    according to the advice from the upstream author in order to
    handle the difference of key codes between some terminals.

 -- Taketoshi Sano <sano@debian.org>  Tue, 14 May 2002 07:51:20 +0900

fdclone (2.00b-1) unstable; urgency=low

  * New upstream release.  Closes: #140588
  * Remove the dependencies on PAGERS/EDITORS to conform
    the Debian Policy 12.4 "Editors and pagers". Also
    remove the settings for PAGERS/EDITORS from the default
    site configuration file (/etc/fdclone/fd2rc).
    Closes: #140600
  * Add required condition to machine.h to build on ia64
    Closes: #142051

 -- Taketoshi Sano <sano@debian.org>  Mon, 29 Apr 2002 08:31:27 +0900

fdclone (2.00a-1.1) unstable; urgency=low

  * local build test

 -- Taketoshi Sano <sano@debian.org>  Wed, 20 Feb 2002 21:16:21 +0900

fdclone (2.00a-1) unstable; urgency=low

  * New upstream release. (Closes: #129344)
  * moved into main from non-free as the result of
    the license change from 2.00
  * package subsection updated to shells from utils 
  * update debian specific changes for new v2 scheme.

 -- Taketoshi Sano <sano@debian.org>  Tue, 19 Feb 2002 23:56:56 +0900

fdclone (1.03t-4) unstable; urgency=low

  * OK, lynx doesn't use "less". It was my misunderstandings.
    so lynx is now added in Depends line.
    (But you should take care when you use lynx as PAGER, because
     binary file make it crazy.  OTOH, w3m can show the compressed
     files correctly using /usr/bin/sensible-pager with gzip -d -c.)

 -- Taketoshi Sano <sano@debian.org>  Mon,  5 Nov 2001 21:42:24 +0900

fdclone (1.03t-3) unstable; urgency=low

  * update the examples to match the change in the location of 


=== debian/control ===
Source: fdclone
Section: shells
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, quilt
Standards-Version: 3.9.1
Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/

Package: fdclone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console-base lightweight file manager
 FD (FD represents "File and Directory") is an easy-to-use
 file management tool for Un*x newbies.  As its name shows,
 this is a rewrite from scratch - the original version was written
 by Atsushi Idei for MS-DOS(tm) and once very popular in Japan.
 Messages are available either in English or in Japanese.

=== debian/rules ===
#!/usr/bin/make -f

export PKGDIR=`pwd`/debian/fdclone
CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

%:
	dh $@
override_dh_auto_configure:
	$(MAKE) config
override_dh_clean:
	dh_clean
	rm -f mkmfsed config.h mkkanji mkcat fd-cat.ja fd-cat.C mkmf.sed
	rm -f build-stamp configure-stamp install-stamp
override_dh_auto_build:
	$(MAKE) PREFIX=/usr CONFDIR=/etc/fdclone
override_dh_install:
	$(MAKE) install PREFIX=$(PKGDIR)/usr \
			DATADIR=$(PKGDIR)/usr/share/fdclone \
			MANDIR=$(PKGDIR)/usr/share/man/man1 \
			EMANDIR=$(PKGDIR)/usr/share/man/man1 \
			JMANDIR=$(PKGDIR)/usr/share/man/ja/man1 \
			JCATDIR=$(PKGDIR)/usr/share/man/ja/man1 \
			DEFRC=$(PKGDIR)/etc/fdclone/fd2rc

	install -m 644 debian/addition/fd2rc.deb $(PKGDIR)/etc/fdclone/fd2rc
	rm -f $(PKGDIR)/usr/bin/fdsh
	cd $(PKGDIR)/usr/bin && ln -s fd fdsh
override_dh_installexamples:
	dh_installexamples _fdrc
override_dh_installchangelogs:
	dh_installchangelogs HISTORY.eng
override_dh_installman:
	dh_installman -a debian/addition/fdsh.1
override_dh_auto_install:

## fdclone 3.00k

=== Makefile ===
#
#	Makefile for fd
#

VERSION	= 3
VERMAJ	= $(VERSION)
PREFIX	= /usr/local
CONFDIR	= /etc
BUILD	=
SHELL	= /bin/sh
MAKE	= make
CC	= cc
HOSTCC	= $(CC)
SED	= sed
RM	= rm -f
TAR	= tar
LHA	= lha
SHAR	= shar
DICTSRC	=

DEFCFLAGS = -DPREFIX='"'$(PREFIX)'"' \
	-DCONFDIR='"'$(CONFDIR)'"' \
	-DDICTSRC='"''$(DICTSRC)''"' \
	-DFD=$(VERMAJ) \
	-DCCCOMMAND='"'$(CC)'"' \
	-DHOSTCCCOMMAND='"'$(HOSTCC)'"'
DEFAR	= TAR=$(TAR) \
	LHA=$(LHA) \
	SHAR=$(SHAR)

all: Makefile.tmp
	$(MAKE) -f Makefile.tmp

debug: Makefile.tmp
	$(MAKE) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' -f Makefile.tmp

shdebug: Makefile.tmp
	$(MAKE) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' -f Makefile.tmp sh

Makefile.tmp: Makefile.in mkmf.sed
	$(SED) -f mkmf.sed Makefile.in > $@ || \
	($(RM) $@; exit 1)

makefile.gpc: Makefile.in mkmfdosg.sed mkmf.sed
	$(SED) -f mkmfdosg.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/DOSV/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.g98: Makefile.in mkmfdosg.sed mkmf.sed
	$(SED) -f mkmfdosg.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/PC98/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.dpc: Makefile.in mkmfdosd.sed mkmf.sed
	$(SED) -f mkmfdosd.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/DOSV/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.d98: Makefile.in mkmfdosd.sed mkmf.sed
	$(SED) -f mkmfdosd.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/PC98/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.lpc: Makefile.in mkmfdosl.sed mkmf.sed
	$(SED) -f mkmfdosl.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/DOSV/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.l98: Makefile.in mkmfdosl.sed mkmf.sed
	$(SED) -f mkmfdosl.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/PC98/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.bpc: Makefile.in mkmfdosb.sed mkmf.sed
	$(SED) -f mkmfdosb.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/DOSV/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.b98: Makefile.in mkmfdosb.sed mkmf.sed
	$(SED) -f mkmfdosb.sed Makefile.in | \
	$(SED) "s/__OSTYPE__/PC98/g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

mkmf.sed: mkmfsed
	./mkmfsed > mkmf.sed

mkmfsed: mkmfsed.c fd.h machine.h config.h version.h
	$(HOSTCC) $(CFLAGS) $(CPPFLAGS) $(DEFCFLAGS) -o $@ mkmfsed.c

fd.h:
	-[ -f $@ ] || cp headers.h $@

config.h: config.hin
	cp config.hin config.h

install catman catman-b compman compman-b \
jcatman jcatman-b jcompman jcompman-b: Makefile.tmp
	$(MAKE) BUILD=$(BUILD) -f Makefile.tmp $@

sh bsh nsh \
fd.doc README.doc HISTORY.doc FAQ.doc LICENSES.doc \
depend: Makefile.tmp
	$(MAKE) -f Makefile.tmp $@

config: rmconfig Makefile.tmp
	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@

rmconfig:
	cp config.hin config.h

ipk: Makefile.tmp
	$(MAKE) STRIP=$(STRIP) -f Makefile.tmp $@

everything: Makefile.tmp
	$(MAKE) -f Makefile.tmp sh bsh nsh all

tar gtar shtar lzh shar: Makefile.tmp \
makefile.gpc makefile.g98 \
makefile.dpc makefile.d98 \
makefile.lpc makefile.l98 \
makefile.bpc makefile.b98
	$(MAKE) $(DEFAR) -f Makefile.tmp $@

clean rmdict: Makefile.tmp
	$(MAKE) -f Makefile.tmp $@
	-$(RM) Makefile.tmp mkmf.sed
	-$(RM) mkmfsed mkmfsed.exe

realclean: Makefile.tmp
	$(MAKE) -f Makefile.tmp clean
	-$(RM) Makefile.tmp mkmf.sed config.h
	-$(RM) makefile.gpc makefile.g98
	-$(RM) makefile.dpc makefile.d98
	-$(RM) makefile.lpc makefile.l98
	-$(RM) makefile.bpc makefile.b98
	-$(RM) mkmfsed mkmfsed.exe

=== debian/changelog ===
fdclone (3.00k-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.3
  * Bump debhelper to 8
  * Remove Build-Depends on quilt
  * debian/copyright update format as Debian Policy 3.9.3
  * debian/rules update cleaning rules
  * Move packaging to collab-maint
  * Corrected some lintian warnings:
    - Updated debian-copyright to UTF-8 instead obsolete national encoding.
    - Fixed duplicate changelog file.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 13 May 2012 17:38:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: shells
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.0.0), libncurses5-dev
+Standards-Version: 3.9.3
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
+Vcs-Git: git://git.debian.org/collab-maint/fdclone.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/fdclone.git;a=summary
 
 Package: fdclone
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 	dh $@
 override_dh_auto_configure:
 	$(MAKE) config
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	$(MAKE) clean
 	rm -f mkmfsed config.h mkkanji mkcat fd-cat.ja fd-cat.C mkmf.sed
-	rm -f build-stamp configure-stamp install-stamp
 override_dh_auto_build:
 	$(MAKE) PREFIX=/usr CONFDIR=/etc/fdclone
 override_dh_install:
@@ -27,8 +26,6 @@
 	cd $(PKGDIR)/usr/bin && ln -s fd fdsh
 override_dh_installexamples:
 	dh_installexamples _fdrc
-override_dh_installchangelogs:
-	dh_installchangelogs HISTORY.eng
 override_dh_installman:
 	dh_installman -a debian/addition/fdsh.1
 override_dh_auto_install:

## fdclone 3.01

=== Makefile ===
#
#	Makefile for fd
#

VERSION	= 3
VERMAJ	= $(VERSION)
PREFIX	= /usr/local
CONFDIR	= /etc
BUILD	=
SHELL	= /bin/sh
MAKE	= make
CC	= cc
HOSTCC	= $(CC)
CPP	= $(CC) -E
CFLAGS	=
HOSTCFLAGS =
CPPFLAGS =
HOSTCPPFLAGS =
LDFLAGS	=
HOSTLDFLAGS =
SED	= sed
ECHO	= echo
CP	= cp
RM	= rm -f
TAR	= tar
LHA	= lha
SHAR	= shar
DICTSRC	=

DEFCFLAGS = -DPREFIX='"'$(PREFIX)'"' \
	-DCONFDIR='"'$(CONFDIR)'"' \
	-DDICTSRC='"''$(DICTSRC)''"' \
	-DFD=$(VERMAJ) \
	-DCCCOMMAND='"'$(CC)'"' \
	-DHOSTCCCOMMAND='"'$(HOSTCC)'"' \
	-DCFLAGS='"''$(CFLAGS)''"' \
	-DHOSTCFLAGS='"''$(HOSTCFLAGS)''"' \
	-DCPPFLAGS='"''$(CPPFLAGS)''"' \
	-DHOSTCPPFLAGS='"''$(HOSTCPPFLAGS)''"' \
	-DLDFLAGS='"''$(LDFLAGS)''"' \
	-DHOSTLDFLAGS='"''$(HOSTLDFLAGS)''"'
DEFAR	= TAR=$(TAR) \
	LHA=$(LHA) \
	SHAR=$(SHAR)
PREDEF	= alpha __alpha __alpha__ \
	ia64 __ia64 __ia64__ x86_64 __x86_64 __x86_64__ \
	s390x __s390x __s390x__ CONFIG_ARCH_S390X \
	PPC __powerpc__ _COMPILER_VERSION \
	SYSTYPE_BSD SYSTYPE_SYSV SYSTYPE_SVR4 _SYSTYPE_SVR4 \
	USGr4 __svr4__ __SVR4 BSD bsd43 __WIN32__ \
	sun __SUNPRO_C sony __sony sgi \
	hpux __hpux __H3050 __H3050R __H3050RX \
	__CLASSIC_C__ __STDC_EXT__ __HP_cc \
	nec_ews _nec_ews nec_ews_svr4 _nec_ews_svr4 \
	uniosu uniosb luna88k _IBMR2 _AIX41 _AIX43 \
	ultrix _AUX_SOURCE DGUX __DGUX__ \
	__uxpm__ __uxps__ NeXT __CYGWIN__ linux \
	__FreeBSD__ __BOW__ __NetBSD__ NetBSD1_0 __NetBSD_Version__ \
	__bsdi__ __386BSD__ __BSD_NET2 __OpenBSD__ \
	__APPLE__ __MACH__ __minix _VCS_REVISION __ANDROID__ __BIONIC__ mips \
	__GNUC__ __GNUC_MINOR__ __clang__
HPREFIX	= H_
MAKES	= makefile.gpc makefile.g98 \
	makefile.dpc makefile.d98 \
	makefile.lpc makefile.l98 \
	makefile.bpc makefile.b98

all: Makefile.tmp
	$(MAKE) -f Makefile.tmp

debug: Makefile.tmp
	$(MAKE) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' -f Makefile.tmp

shdebug: Makefile.tmp
	$(MAKE) CC=gcc DEBUG=-DDEBUG ALLOC='-L. -lmalloc' -f Makefile.tmp sh

Makefile.tmp: Makefile.in mkmf.sed
	$(SED) -f mkmf.sed Makefile.in > $@ || \
	($(RM) $@; exit 1)

makefile.gpc: Makefile.in mkmfdosg.sed mkmf.sed
	$(SED) -f mkmfdosg.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:DOSV:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.g98: Makefile.in mkmfdosg.sed mkmf.sed
	$(SED) -f mkmfdosg.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:PC98:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.dpc: Makefile.in mkmfdosd.sed mkmf.sed
	$(SED) -f mkmfdosd.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:DOSV:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.d98: Makefile.in mkmfdosd.sed mkmf.sed
	$(SED) -f mkmfdosd.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:PC98:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.lpc: Makefile.in mkmfdosl.sed mkmf.sed
	$(SED) -f mkmfdosl.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:DOSV:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.l98: Makefile.in mkmfdosl.sed mkmf.sed
	$(SED) -f mkmfdosl.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:PC98:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.bpc: Makefile.in mkmfdosb.sed mkmf.sed
	$(SED) -f mkmfdosb.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:DOSV:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

makefile.b98: Makefile.in mkmfdosb.sed mkmf.sed
	$(SED) -f mkmfdosb.sed Makefile.in | \
	$(SED) "s:__OSTYPE__:PC98:g" | \
	$(SED) -f mkmf.sed > $@ || \
	($(RM) $@; exit 1)

mkmf.sed: mkmfsed
	./mkmfsed > mkmf.sed

mkmfsed: mkmfsed.c
	$(HOSTCC) $(HOSTCFLAGS) $(HOSTCPPFLAGS) $(DEFCFLAGS) -o $@ mkmfsed.c

mkmfsed: hmachine.h config.h fd.h headers.h machine.h
mkmfsed: depend.h version.h

fd.h:
	-[ -f $@ ] || $(CP) headers.h $@

config.h: config.hin
	$(CP) config.hin config.h

hmachine.h: Makefile machine.h hmachine.sed
	$(SED) -n -e 's:machine.h:$@:g' -e '1,/^$$/p' machine.h > $@
	@if [ "$(CC)" != "$(HOSTCC)" ]; then \
		for i in $(PREDEF); do \
			$(ECHO) "#ifdef	$${i}"; \
			$(ECHO) "__DEFINE__	$(HPREFIX)$${i} $${i}"; \
			$(ECHO) "#endif"; \
		done | $(CPP) - | \
		$(SED) -n -e 's:__DEFINE__:#define:p' >> $@; \
		$(ECHO) >> $@; \
	fi
	$(SED) -f hmachine.sed machine.h >> $@

hmachine.sed: Makefile
	$(ECHO) '1,/^$$/d' > $@
	@if [ "$(CC)" != "$(HOSTCC)" ]; then \
		for i in $(PREDEF); do \
			$(ECHO) "s:($${i}):($(HPREFIX)$${i}):g"; \
		done >> $@; \
	fi

install install-table install-man install-jman \
catman catman-b compman compman-b \
jcatman jcatman-b jcompman jcompman-b: Makefile.tmp
	$(MAKE) BUILD=$(BUILD) -f Makefile.tmp $@

sh bsh nsh \
fd.doc README.doc HISTORY.doc FAQ.doc LICENSES.doc \
depend lint: Makefile.tmp
	$(MAKE) -f Makefile.tmp $@

config: rmconfig Makefile.tmp
	$(MAKE) SHELL=$(SHELL) -f Makefile.tmp $@

rmconfig:
	$(CP) config.hin config.h

ipk: Makefile.tmp
	$(MAKE) STRIP=$(STRIP) -f Makefile.tmp $@

everything: Makefile.tmp
	$(MAKE) -f Makefile.tmp sh bsh nsh all

makes: $(MAKES)

tar gtar shtar lzh shar: Makefile.tmp $(MAKES)
	$(MAKE) $(DEFAR) -f Makefile.tmp $@

rmdict: Makefile.tmp
	$(MAKE) -f Makefile.tmp $@
	-$(RM) Makefile.tmp mkmf.sed
	-$(RM) mkmfsed mkmfsed.exe

clean: Makefile.tmp
	$(MAKE) -f Makefile.tmp $@
	-$(RM) Makefile.tmp mkmf.sed
	-$(RM) mkmfsed mkmfsed.exe
	-$(RM) hmachine.h hmachine.sed

distclean: clean
	-$(RM) config.h

realclean: distclean
	-$(RM) makefile.gpc makefile.g98
	-$(RM) makefile.dpc makefile.d98
	-$(RM) makefile.lpc makefile.l98
	-$(RM) makefile.bpc makefile.b98

=== debian/changelog ===
fdclone (3.01-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.4
  * Bump debhelper to 9
  * debian/rules enabled hardening build flags

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 31 Mar 2013 20:19:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: shells
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), libncurses5-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9.0.0), libncurses5-dev
+Standards-Version: 3.9.4
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
 Vcs-Git: git://git.debian.org/collab-maint/fdclone.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fdclone.git;a=summary

## fdclone 3.01b

=== debian/changelog ===
fdclone (3.01b-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:22:32 +0000

fdclone (3.01b-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:59 +0000

fdclone (3.01b-1) unstable; urgency=low

  * New upstream release
  * Updated Standard-Version to 3.9.5
  * Updated debian/control canonicalize VCS-* fields
  * debian/patches/20_lintian_manpage_warning.patch: Removed Upstream fix
  * debian/patches/40_lintian_manpage_spelling.patch: Removed Upstream fix

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 27 Jul 2014 23:57:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fdclone
 Section: shells
 Priority: optional
-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), libncurses5-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: git://git.debian.org/collab-maint/fdclone.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fdclone.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/fdclone.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fdclone.git
 
 Package: fdclone
 Architecture: any

## fdclone 3.01e

=== Makefile ===
--- 
+++ 
@@ -162,7 +162,8 @@
 		done >> $@; \
 	fi
 
-install install-table install-man install-jman \
+install install-bin install-runcom \
+install-table install-man install-jman \
 catman catman-b compman compman-b \
 jcatman jcatman-b jcompman jcompman-b: Makefile.tmp
 	$(MAKE) BUILD=$(BUILD) -f Makefile.tmp $@

=== debian/changelog ===
fdclone (3.01e-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 4.1.3
  * Bump debhelper to 11
  * Updated debian/control VCS-* fields
  * debian/rules adding hardening rules

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 25 Feb 2018 13:57:24 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: fdclone
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libncurses5-dev
-Standards-Version: 3.9.5
+Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
+Build-Depends: debhelper (>= 11), libncurses5-dev
+Standards-Version: 4.1.3
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: git://anonscm.debian.org/collab-maint/fdclone.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fdclone.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fdclone.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fdclone.git
 
 Package: fdclone
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PKGDIR=`pwd`/debian/fdclone
-CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
+
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CFLAGS+=-Wall
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
@@ -11,7 +16,7 @@
 	$(MAKE) clean
 	rm -f mkmfsed config.h mkkanji mkcat fd-cat.ja fd-cat.C mkmf.sed
 override_dh_auto_build:
-	$(MAKE) PREFIX=/usr CONFDIR=/etc/fdclone
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" PREFIX=/usr CONFDIR=/etc/fdclone
 override_dh_install:
 	$(MAKE) install PREFIX=$(PKGDIR)/usr \
 			DATADIR=$(PKGDIR)/usr/share/fdclone \

## fdclone 3.01h

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	__FreeBSD__ __BOW__ __NetBSD__ NetBSD1_0 __NetBSD_Version__ \
 	__bsdi__ __386BSD__ __BSD_NET2 __OpenBSD__ \
 	__APPLE__ __MACH__ __minix _VCS_REVISION __ANDROID__ __BIONIC__ mips \
-	__GNUC__ __GNUC_MINOR__ __clang__
+	__GNUC__ __GNUC_MINOR__ __clang__ __clang_major__ __clang_minor__
 HPREFIX	= H_
 MAKES	= makefile.gpc makefile.g98 \
 	makefile.dpc makefile.d98 \

=== debian/changelog ===
fdclone (3.01h-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:49:29 +0000

fdclone (3.01h-1) unstable; urgency=medium

  * New upstream release
  * Updated Standard-Version to 4.3.0.1
  * Bump debhelper to 12
  * Updated debian/control VCS-* fields
  * Updated copyright years

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 02 Feb 2019 11:24:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: shells
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 11), libncurses5-dev
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), libncurses5-dev
+Standards-Version: 4.3.0.1
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/fdclone.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fdclone.git
+Vcs-Git: https://salsa.debian.org/elias-guest/fdclone.git
+Vcs-Browser: https://salsa.debian.org/elias-guest/fdclone
 
 Package: fdclone
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export PKGDIR=`pwd`/debian/fdclone
-
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
-CFLAGS+=-Wall
-CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@

## fdclone 3.01j

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,8 @@
 	SHAR=$(SHAR)
 PREDEF	= alpha __alpha __alpha__ \
 	ia64 __ia64 __ia64__ x86_64 __x86_64 __x86_64__ \
+	amd64 __amd64 __amd64__ LP64 __LP64 __LP64__ \
+	arm64 __arm64 __arm64__ aarch64 __aarch64 __aarch64__ \
 	s390x __s390x __s390x__ CONFIG_ARCH_S390X \
 	PPC __powerpc__ _COMPILER_VERSION \
 	SYSTYPE_BSD SYSTYPE_SYSV SYSTYPE_SVR4 _SYSTYPE_SVR4 \
@@ -58,6 +60,7 @@
 	__FreeBSD__ __BOW__ __NetBSD__ NetBSD1_0 __NetBSD_Version__ \
 	__bsdi__ __386BSD__ __BSD_NET2 __OpenBSD__ \
 	__APPLE__ __MACH__ __minix _VCS_REVISION __ANDROID__ __BIONIC__ mips \
+	__ANDROID_API__ \
 	__GNUC__ __GNUC_MINOR__ __clang__ __clang_major__ __clang_minor__
 HPREFIX	= H_
 MAKES	= makefile.gpc makefile.g98 \
@@ -144,11 +147,16 @@
 hmachine.h: Makefile machine.h hmachine.sed
 	$(SED) -n -e 's:machine.h:$@:g' -e '1,/^$$/p' machine.h > $@
 	@if [ "$(CC)" != "$(HOSTCC)" ]; then \
+		( \
+		$(ECHO) "#define	H___CROSS_CC__ 1" >> $@; \
+		$(ECHO) "#if	defined (__ANDROID__) || defined (__BIONIC__)"; \
+		$(ECHO) "#include <android/api-level.h>"; \
+		$(ECHO) "#endif"; \
 		for i in $(PREDEF); do \
 			$(ECHO) "#ifdef	$${i}"; \
 			$(ECHO) "__DEFINE__	$(HPREFIX)$${i} $${i}"; \
 			$(ECHO) "#endif"; \
-		done | $(CPP) - | \
+		done ) | $(CPP) $(CFLAGS) - | \
 		$(SED) -n -e 's:__DEFINE__:#define:p' >> $@; \
 		$(ECHO) >> $@; \
 	fi

=== debian/changelog ===
fdclone (3.01j-1) unstable; urgency=medium

  * New upstream release
  * Update Standard-Version to 4.5.0
  * Update debian/control VCS-* path
  * Add debian/control Rules-Requires:no
  * Update years in debian/copyright
  * Remove tab-in-license-text in debian/copyright

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 30 Apr 2020 19:43:11 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper-compat (= 12), libncurses5-dev
-Standards-Version: 4.3.0.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://hp.vector.co.jp/authors/VA012337/soft/fd/
-Vcs-Git: https://salsa.debian.org/elias-guest/fdclone.git
-Vcs-Browser: https://salsa.debian.org/elias-guest/fdclone
+Vcs-Git: https://salsa.debian.org/elias/fdclone.git
+Vcs-Browser: https://salsa.debian.org/elias/fdclone
 
 Package: fdclone
 Architecture: any

=== debian/watch ===
version=3

ftp://ftp.unixusers.net/src/fdclone/FD-(.*)\.tar\.gz
